# BuzzBooster SDK

BuzzBooster Flutter SDK

## Getting Started

### Initialize
Initialize BuzzBooster SDK in main method

```dart
import 'package:buzz_booster/buzz_booster.dart';

final buzzBooster = BuzzBooster();

void main() async {
  runApp(const MyApp());
  await buzzBooster.init("APP_KEY");
}
```

### Set User Id
Called when the user is logged in

```dart
await buzzBooster.setUserId("USER_ID");
```

### Add Campaign Floating Action Button
Add Campaign Floating Action Button to Widget 

```dart
import 'package:flutter/material.dart';
import 'package:buzz_booster/buzz_booster_campaign_floating_action_button.dart';

...

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Stack(
            fit: StackFit.loose,
            alignment: Alignment.bottomRight,
            children: [
              Text("Booster Test App"),
            ]
          )
        ),
        floatingActionButton: CampaignFloatingActionButtonWidget(),
      ),
    );
  }
}
```
