import 'package:flutter/widgets.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:flutter/services.dart';

const String viewType = 'CampaignFloatingActionButton';

class IOSCampaignFloatingActionButtonWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return UiKitView(
      viewType: viewType,
      layoutDirection: TextDirection.ltr,
      creationParams: null,
      creationParamsCodec: const StandardMessageCodec(),
    );
  }
}

class AndroidCampaignFloatingActionButtonWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: AndroidView(
        viewType: viewType,
        layoutDirection: TextDirection.ltr,
        creationParams: null,
        creationParamsCodec: const StandardMessageCodec(),
      ),
      width: 180.0,
      height: 180.0,
    );
  }
}

class CampaignFloatingActionButtonWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return AndroidCampaignFloatingActionButtonWidget();
      case TargetPlatform.iOS:
        return IOSCampaignFloatingActionButtonWidget();
      default:
        throw UnsupportedError('Unsupported platform view');
    }
  }
}
