import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'buzz_booster_platform_interface.dart';

/// An implementation of [BuzzBoosterPlatform] that uses method channels.
class MethodChannelBuzzBooster extends BuzzBoosterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('buzz_booster');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }

  @override
  Future<void> init(String appKey) async {
    return await methodChannel.invokeMethod<void>('init', {
      "appKey": appKey
    });
  }
  @override
  Future<void> setUserId(String? userId) async {
    return await methodChannel.invokeMethod<void>('setUserId', {
      "userId": userId
    });
  }
}
